Returns one invoice that MongoDB issued to the specified organization. A unique 24-hexadecimal digit string identifies the invoice. You can choose to receive this invoice in JSON or CSV format. If you have a cross-organization setup, you can query for a linked invoice if you have the Organization Billing Admin or Organization Owner role.
To compute the total owed amount of the invoice - sum up total owed amount of each payment included into the invoice. To compute payment's owed amount - use formula totalBilledCents * unitPrice + salesTax - startingBalanceCents.
- Organization Billing Viewer
Path parameters
-
Unique 24-hexadecimal digit string that identifies the organization that contains your projects. Use the
/orgsendpoint to retrieve all organizations to which the authenticated user has access.Format should match the following pattern:
^([a-f0-9]{24})$. -
Unique 24-hexadecimal digit string that identifies the invoice submitted to the specified organization. Charges typically post the next day.
Format should match the following pattern:
^([a-f0-9]{24})$.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
atlas api invoices getInvoice --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20231001001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.GetOrgInvoiceApiParams{}
sdkResp, httpResp, err := client.InvoicesApi.
GetOrgInvoiceWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2023-10-01+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/orgs/{orgId}/invoices/{invoiceId}?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2023-10-01+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/orgs/{orgId}/invoices/{invoiceId}?pretty=true"
Invoice Number,666acb8787ba43606905dcae,
Billing Period,"June 1, 2024 - July 1, 2024",
Organization Name,Test 2,
Organization ID,666acb8787ba43606905dcac,
Date,Usage Date,Description,Note,Organization Name,Organization ID,Project,Project ID,SKU,Region,Cluster,Replica Set,Config Server,Application,Unit,Unit Price,Quantity,Discount Percent,Amount
# Headers
# Payload
{
"amountBilledCents": 42,
"amountPaidCents": 42,
"created": "2026-05-04T09:42:00Z",
"creditsCents": 42,
"endDate": "2026-05-04T09:42:00Z",
"id": "32b6e34b3d91647abb20e7b8",
"lineItems": [
{
"clusterName": "string",
"created": "2026-05-04T09:42:00Z",
"discountCents": 42,
"endDate": "2026-05-04T09:42:00Z",
"groupId": "32b6e34b3d91647abb20e7b8",
"groupName": "string",
"note": "string",
"percentDiscount": 42.0,
"quantity": 42.0,
"sku": "string",
"startDate": "2026-05-04T09:42:00Z",
"stitchAppName": "string",
"tags": {
"additionalProperty1": [
"string"
],
"additionalProperty2": [
"string"
]
},
"tierLowerBound": 42.0,
"tierUpperBound": 42.0,
"totalPriceCents": 42,
"unit": "string",
"unitPriceDollars": 42.0
}
],
"linkedInvoices": [
{}
],
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"payments": [
{
"amountBilledCents": 42,
"amountPaidCents": 42,
"created": "2026-05-04T09:42:00Z",
"currency": "string",
"id": "32b6e34b3d91647abb20e7b8",
"salesTaxCents": 42,
"statusName": "NEW",
"subtotalCents": 42,
"unitPrice": "string",
"updated": "2026-05-04T09:42:00Z"
}
],
"refunds": [
{
"amountCents": 42,
"created": "2026-05-04T09:42:00Z",
"paymentId": "32b6e34b3d91647abb20e7b8",
"reason": "string"
}
],
"salesTaxCents": 42,
"startDate": "2026-05-04T09:42:00Z",
"startingBalanceCents": 42,
"statusName": "PENDING",
"subtotalCents": 42,
"updated": "2026-05-04T09:42:00Z"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}